GRUB-INSTALL(8)

NUME
grub-install - instalează GRUB pe un dispozitiv

SINOPSIS
grub-install [OPȚIUNE...] [OPȚIUNE] [DISPOZITIV_INSTALARE]

DESCRIERE
Instalează GRUB pe dispozitivul dumneavoastră.

--compress=no|xz|gz|lzo
    comprimă fișierele de GRUB [opțional]

--disable-cli
    dezactivează accesul la interfața liniei de comandă

--disable-shim-lock
    dezactivează verificarea shim_lock

--dtb=FIȘIER
    încorporează un DTB specific

-d, --directory=DIRECTOR
    utilizează imaginile și modulele din DIR [default=/usr/lib/grub/<platforma>]]

--fonts=FONTURI
    instalează FONTURI [implicit=unicode]

--install-modules=MODULE
    instalează numai MODULEle și dependențele acestora [implicit=all (toate)]

-k, --pubkey=FIȘIER
    încorporează FIȘIERUL drept cheie publică pentru verificarea semnăturii

--locale-directory=DIR utilizează traducerile din DIR
    [default=/usr/share/locale]

--locales=LOCALES
    instalează numai LOCALES [implicit=all (toate)]

--modules=MODULE
    preîncarcă modulele MODULE specificate

--sbat=FIȘIER
    metadate SBAT

--themes=TEME
    instalează TEME [implicită=starfield]

-v, --verbose
    afișează mesaje detaliate.

--allow-floppy
    face ca unitatea să fie inițializată precum o dischetă (implicit pentru dispozitivele fdX). Poate provoca defecțiuni în unele BIOS-uri.

--boot-directory=DIRECTOR
    instalează imaginile de GRUB sub directorul DIRECTOR/%s, în loc de sub directorul %s

--bootloader-id=ID
    IDENTIFICATORUL încărcătorului de pornire. Această opțiune este disponibilă numai pentru EFI și Mac.

--core-compress=xz|none|auto
    alege comprimarea de utilizat pentru imaginea de bază

--disk-module=MODUL
    modul de disc de utilizat (biosdisk sau native). Această opțiune este disponibilă numai în obiective_țintă cu BIOS.

--efi-directory=DIR
    utilizează DIRECTOR ca rădăcină a partiției sistemului EFI.

--force
    instalează chiar dacă sunt detectate probleme

--force-file-id
    utilizează fișierul de identificare chiar dacă UUID-ul este disponibil

--label-bgcolor=CULOARE
    utilizează CULOARE pentru fundalul etichetei

--label-color=CULOARE
    utilizează CULOARE pentru etichetă

--label-font=FIȘIER
    utilizează FIȘIER ca sursă de litere pentru etichetă

--macppc-directory=DIR utilizează DIR pentru instalarea PPC MAC.

--no-bootsector
    nu instalează sectorul de pornire

--no-nvram
    nu actualizează variabilele de la NVRAM „boot-device'/`Boot*”. Această opțiune este disponibilă numai pentru obiectivele_țintă EFI și IEEE1275.

--no-rs-codes
    Nu aplică niciun cod Reed–Solomon atunci când încorporați core.img. Această opțiune este disponibilă numai pentru obiectivele_țintă x86 cu BIOS.

--product-version=ȘIR_TEXT
    utilizează ȘIR_TEXT ca versiune a produsului

--recheck
    șterge harta de dispozitive dacă există deja

--removable
    dispozitivul de instalare este detașabil. Această opțiune este disponibilă numai pe EFI.

-s, --skip-fs-probe
    nu caută după sisteme de fișiere în DISPOZITIV

--target=OBIECTIV_ȚINTĂ
    instalează GRUB pentru platforma OBIECTIV_ȚINTĂ [default=x86_64-efi]; obiective_țintă disponibile: arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

-?, --help
    oferă această listă de ajutor

--usage
    oferă un mesaj de utilizare scurt

-V, --version
    afișează versiunea programului

Argumentele obligatorii sau opționale pentru opțiunile lungi sunt obligatorii sau opționale și pentru opțiunile corespunzătoare scurte.

DISPOZITIV_INSTALARE trebuie să fie numele de fișier al dispozitivului de sistem. «grub-install» copiază imaginile GRUB în /boot/grub. Pe unele platforme, este posibil să instaleze, de asemenea, GRUB în sectorul de boot.

RAPORTAREA ERORILOR
Raportați erorile la <bug-grub@gnu.org>.

CONSULTAȚI ȘI
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

Documentația completă pentru grub-install este menținută ca un manual Texinfo. Dacă programele info și grub-install sunt instalate corect în sistemul dvs., comanda

    info grub-install

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.